Bug 1232897 (CVE-2015-4598) - CVE-2015-4598 php: missing null byte checks for paths in DOM and GD extensions
Summary: CVE-2015-4598 php: missing null byte checks for paths in DOM and GD extensions
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-4598
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150528,repor...
Depends On: 1228052 1228053 1228054 1228055 1228056 1228057 1228058 1228059 1228060 1228061
Blocks: 1222994 1234941
TreeView+ depends on / blocked
 
Reported: 2015-06-17 18:59 UTC by Tomas Hoger
Modified: 2019-06-08 20:37 UTC (History)
6 users (show)

Fixed In Version: php 5.4.42, php 5.5.26, php 5.6.10
Doc Type: Bug Fix
Doc Text:
It was found that certain PHP functions did not properly handle file names containing a NULL character. A remote attacker could possibly use this flaw to make a PHP script access unexpected files and bypass intended file system access restrictions.
Clone Of:
Environment:
Last Closed: 2015-07-09 21:50:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1135 normal SHIPPED_LIVE Important: php security and bug fix update 2015-06-23 12:11:40 UTC
Red Hat Product Errata RHSA-2015:1186 normal SHIPPED_LIVE Important: php55-php security update 2015-06-25 12:31:54 UTC
Red Hat Product Errata RHSA-2015:1187 normal SHIPPED_LIVE Important: rh-php56-php security update 2015-06-25 12:43:17 UTC
Red Hat Product Errata RHSA-2015:1218 normal SHIPPED_LIVE Moderate: php security update 2015-07-09 21:01:41 UTC
Red Hat Product Errata RHSA-2015:1219 normal SHIPPED_LIVE Moderate: php54-php security update 2015-07-09 22:53:28 UTC

Description Tomas Hoger 2015-06-17 18:59:50 UTC
It was discovered that DOMDocument's save() and saveHTMLFile(), and GD imagepsencodefont() function did not properly handle file names with NUL character.  This could cause the functions to access unexpected files when their arguments come from untrusted source.  These issues are related to fixes for CVE-2015-3411 / CVE-2015-3412 which cover different functions from these extensions - see bug 1213407 comment 5.

Upstream bug report:
https://bugs.php.net/bug.php?id=69719

Upstream fix:
http://git.php.net/?p=php-src.git;a=commitdiff;h=f7d7befae8bcc2db0093f8adaa9f72eeb7ad891e

Comment 2 errata-xmlrpc 2015-06-23 08:14:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:1135 https://rhn.redhat.com/errata/RHSA-2015-1135.html

Comment 3 errata-xmlrpc 2015-06-25 08:33:14 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS

Via RHSA-2015:1186 https://rhn.redhat.com/errata/RHSA-2015-1186.html

Comment 4 errata-xmlrpc 2015-06-25 08:44:33 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS

Via RHSA-2015:1187 https://rhn.redhat.com/errata/RHSA-2015-1187.html

Comment 6 errata-xmlrpc 2015-07-09 17:08:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:1218 https://rhn.redhat.com/errata/RHSA-2015-1218.html

Comment 7 errata-xmlrpc 2015-07-09 18:54:08 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS

Via RHSA-2015:1219 https://rhn.redhat.com/errata/RHSA-2015-1219.html


Note You need to log in before you can comment on or make changes to this bug.